CREATE TABLE atc_custom_schema_rels (
    CUSTOM_SCHEMA_REL_ID     NUMBER(18, 0) ,
    PARENT_RESOURCE_NAME     VARCHAR2(800)     NOT NULL,
    CHILD_OBJ_NAME           VARCHAR2(800) ,
    EXTENSION_STATUS_CODE    VARCHAR2(800) ,
    CUSTOM_SCHEMA_NAME       VARCHAR2(4000)    NOT NULL,
    ROOT_RESOURCE_NAME       VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CUSTOM_SCHEMA_REL_ID     NUMBER(18, 0) ,
    PARENT_RESOURCE_NAME     VARCHAR2(800)     NOT NULL,
    CUSTOM_SCHEMA_NAME       VARCHAR2(4000)    NOT NULL,
    ROOT_RESOURCE_NAME       VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CHILD_OBJ_NAME           VARCHAR2(800) ,
    EXTENSION_STATUS_CODE    VARCHAR2(800) ,
    CONSTRAINT pk_atc_custom_schema_rels PRIMARY KEY (CUSTOM_SCHEMA_REL_ID, CUSTOM_SCHEMA_REL_ID)
);
